# Uses of Enum
org.eclipse.birt.chart.model.attribute.DateFormatDetail

Packages that use DateFormatDetail
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of DateFormatDetail in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type DateFormatDetail
Modifier and Type
Field
Description
`static final List<DateFormatDetail>`
DateFormatDetail.`VALUES`
A public read-only list of all the 'Date Format Detail' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return DateFormatDetail
Modifier and Type
Method
Description
`static DateFormatDetail`
DateFormatDetail.`get(int value)`
Returns the 'Date Format Detail' literal with the specified integer value.
`static DateFormatDetail`
DateFormatDetail.`get(String literal)`
Returns the 'Date Format Detail' literal with the specified literal value.
`static DateFormatDetail`
DateFormatDetail.`getByName(String name)`
Returns the 'Date Format Detail' literal with the specified name.
`DateFormatDetail`
DateFormatSpecifier.`getDetail()`
Returns the value of the 'Detail' attribute.
`static DateFormatDetail`
DateFormatDetail.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DateFormatDetail[]`
DateFormatDetail.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type DateFormatDetail
Modifier and Type
Method
Description
`void`
DateFormatSpecifier.`setDetail(DateFormatDetail value)`
Sets the value of the ' `Detail`' attribute.

## Uses of DateFormatDetail in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return DateFormatDetail
Modifier and Type
Method
Description
`DateFormatDetail`
AttributeFactoryImpl.`createDateFormatDetailFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatDetail`
AttributeFactoryImpl.`createDateFormatDetailObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatDetail`
DateFormatSpecifierImpl.`getDetail()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type DateFormatDetail
Modifier and Type
Method
Description
`void`
DateFormatSpecifierImpl.`setDetail(DateFormatDetail newDetail)`